function x = charIndex(seq,  alphabetsize)
% computes the  event index from a sequence, i.e. the alphabetical
% enumeration index of the sequence
%
% Version 1.0, May 11, 2005
% (c) Herbert Jaeger
%
% Copyright and limitation of liability: as specified in the document
% Copyright.txt that comes along with the OOM toolbox package from which 
% this file is taken.

x = 1;
for l = 1:length(seq)
    x = x + (seq(1,l)-1) * alphabetsize^(length(seq) - l);
end

