function words = genAllWords(S, L)
% generates all words of length L over alphabet of size S and writes them
% row-wise into matrix words
words = zeros(S^L, L);
for i = 1:S^L
    wordstring = dec2base(i, S, L);
    word = zeros(1,L);
    for j = 1:L
        word(j) = str2num(wordstring(j)) + 1;       
    end
    words(i,:) = word;
end
words = [ones(1,L); words(1:end-1,:)];
