function [tlInt, w0Int, C, charEvLength] = genProbclock()
% creates Problclock.
% for test purposes only, can be deleted from package

dim = 3;

alphabetsize = 2;


phi = 1.0;
a = cos(phi); b = sin(phi);
rotateMat = [1 0 0; 0 a b; 0 -b a];
taua = 0.5 * rotateMat;
taub = [0.75 * [0.5 1-taua(2,2)-taua(3,2) 1-taua(2,3)-taua(3,3)];
    0 0 0;
    0.25 * [0.5 1-taua(2,2)-taua(3,2) 1-taua(2,3)-taua(3,3)]];
taulist = zeros(3,3,2);
taulist(:,:,1) = taua;
taulist(:,:,2) = taub;
w0 = compW0(taulist);

[tlInt, w0Int, rho, C, charEvLength] = makeInterpretable_Auto(taulist, w0);


