function assert(pred, str)
% This file is taken from Kevin Murphy's public-domain
% implementation of Baum-Welch for HMMs (from
% http://www.cs.ubc.ca/~murphyk/Software/HMM/hmm.html). After here, the
% original documentation begins:
%
% ASSERT Raise an error if the predicate is not true.
% assert(pred, string)

if nargin<2, str = ''; end

if ~pred
  s = sprintf('assertion violated: %s', str);
  error(s);
end
