function choice = throwDie(pvector);
% chooses one index according to probabilities in (column) probability vector pvector
%
% V 1.0, May 2005
% (c) Herbert Jaeger
%
% Copyright and limitation of liability: as specified in the document
% Copyright.txt that comes along with the OOM toolbox package from which 
% this file is taken.

choiceNr = length(pvector);
rd = rand;
choice = 1;
p = pvector(1,1);
while rd > p 
    choice = choice + 1;
    p = p + pvector(choice);
end

